/* recv.cmdline.h */

/* File autogenerated by gengetopt version 2.15  */

#ifndef RECV_CMDLINE_H
#define RECV_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "para_recv"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "(paraslash 0.2.7, transparent invariance)\nCopyright (c) 1997-2005 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct gengetopt_args_info
{
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  char * receiver_arg;	/* choose receiver (http or ortp) (default='http').  */
  char * receiver_orig;	/* choose receiver (http or ortp) original value given at command line.  */
  int http_port_arg;	/* port to connect (default='8000').  */
  char * http_port_orig;	/* port to connect original value given at command line.  */
  char * http_host_arg;	/* ip or host (default='224.0.1.38').  */
  char * http_host_orig;	/* ip or host original value given at command line.  */
  char * ortp_host_arg;	/* ip or host to receive rtp packets from (default='224.0.1.38').  */
  char * ortp_host_orig;	/* ip or host to receive rtp packets from original value given at command line.  */
  int ortp_port_arg;	/* udp port (default='1500').  */
  char * ortp_port_orig;	/* udp port original value given at command line.  */
  int header_flag;	/* wait for a format-specific header to be sent before sending any data (needed for ogg vorbis) (default=off).  */
  int chunk_time_arg;	/* expect a chunk of data to be sent each chunk_time microseconds (default='21600').  */
  char * chunk_time_orig;	/* expect a chunk of data to be sent each chunk_time microseconds original value given at command line.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int receiver_given ;	/* Whether receiver was given.  */
  int http_port_given ;	/* Whether http_port was given.  */
  int http_host_given ;	/* Whether http_host was given.  */
  int ortp_host_given ;	/* Whether ortp_host was given.  */
  int ortp_port_given ;	/* Whether ortp_port was given.  */
  int header_given ;	/* Whether header was given.  */
  int chunk_time_given ;	/* Whether chunk_time was given.  */

} ;

int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);
int cmdline_parser_file_save(const char *filename, struct gengetopt_args_info *args_info);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_configfile (char * const filename, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

int cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* RECV_CMDLINE_H */
